Package org.jboss.logging.annotations

# Annotation Type FormatWith

@Target(PARAMETER) @Retention(CLASS) @Documented public @interface FormatWith
Indicate that the given parameter should be wrapped with a formatting object of the given class. The class must have a one-argument constructor which unambiguously accepts a value of this parameter's type. The resultant object will be passed in as a parameter to the underlying format type; thus its `toString()` method will be invoked (or, if the format style is `PRINTF`, the object may implement `Formattable` to get extra functionality).

Author:
  David M. Lloyd

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Class<?>`
`value`
The class of the formatting object to use.

## Element Details

### value

Class<?> value
The class of the formatting object to use.

Returns:
  the class